# Uses of Enum Class
com.logicaldoc.core.document.EmbeddingStatus

Packages that use EmbeddingStatus
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of EmbeddingStatus in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return EmbeddingStatus
Modifier and Type
Method
Description
`EmbeddingStatus`
AbstractDocument.`getEmbeddingStatus()`
`static EmbeddingStatus`
EmbeddingStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EmbeddingStatus[]`
EmbeddingStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.document with parameters of type EmbeddingStatus
Modifier and Type
Method
Description
`void`
AbstractDocument.`setEmbeddingStatus(EmbeddingStatus embeddingStatus)`